module DockerNginxProxy
  class Docker

    def get_mappings(container_name)
      output = `docker port #{container_name}`
      lines = output.split("\n")
      mappings = {}
      lines.map do |line|
        private_address, public_address = line.split(' -> ')
        private_port, protocol = private_address.split('/')
        public_ip, public_port = public_address.split(':')
        mappings[private_port.to_i] = public_port.to_i
      end
      mappings
    end

  end
end
